GET
/api/v1/storage/bucket-replication/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/?bucket_name=<BUCKET_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/", params={"bucket_name": "<BUCKET_NAME>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/");url.search = new URLSearchParams({ bucket_name: "<BUCKET_NAME>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”bucket_name
required
string
Bucket Name
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successfully retrieved replication rules.
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
user
integer
source_bucket
string
destination_bucket
string
source_bucket_location
string
destination_bucket_location
string
enabled
boolean
created_at
string format: date-time
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 123, "user": 12345, "source_bucket": "first-bucket", "destination_bucket": "second-bucket", "source_bucket_location": "Delhi", "destination_bucket_location": "Chennai", "enabled": false, "created_at": "2025-05-28T05:07:40.359314Z" } ], "errors": {}, "message": "Success"}Precondition failed due to missing or invalid bucket.
Media typeapplication/json
object
code
integer
data
object
errors
string
message
string
Example
{ "code": 412, "data": {}, "errors": "No Bucket with this name exist in this project.", "message": "Precondition Failed"}